Bug 1267122 - /usr/bin/etcd-env.sh can not be executed and report permission denied
/usr/bin/etcd-env.sh can not be executed and report permission denied
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: etcd-docker (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Avesh Agarwal
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 23:45 EDT by Joy Pu
Modified: 2016-09-23 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: etcd-docker-2.1.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-23 12:55:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joy Pu 2015-09-28 23:45:17 EDT
Description of problem:

Try to run the image etcd-docker get from brew. And get this error:

[8] System error: exec: "/usr/bin/etcd-env.sh": permission denied

Both etcd-docker-2.1.1-1 and etcd-docker-2.1.1-2 have this problem.

Version-Release number of selected component (if applicable):
Host kernel verions:
# uname -r
3.10.0-308.el7.x86_64

docker version:
# rpm -qa |grep docker
docker-python-1.4.0-115.el7.x86_64
docker-selinux-1.7.1-115.el7.x86_64
docker-unit-test-1.7.1-115.el7.x86_64
docker-1.7.1-115.el7.x86_64
docker-logrotate-1.7.1-115.el7.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Download the tar package from brew
2. Load the image with docker load。
# cat etcd-docker-2.1.1-1.tar | docker load
3. Try to run the image
# docker run -d avagarwa/etcd-docker:extras-rhel-7.1-docker-candidate-20150918095113


Actual results:
# docker run -d avagarwa/etcd-docker:extras-rhel-7.1-docker-candidate-20150918095113
0bdad56a2379d6e00fd59bd1157a55d161a0a77c0b2b61dd4b79df287c10318e
Error response from daemon: Cannot start container 0bdad56a2379d6e00fd59bd1157a55d161a0a77c0b2b61dd4b79df287c10318e: [8] System error: exec: "/usr/bin/etcd-env.sh": permission denied



Expected results:

image can be run without error.


Additional info:

Try to build the etcd image from the git repo. It works. And compare the file permission as blow:

From the image created from git repo:
[root@test1 f66ff350859d1bdfe544bd21211aefe2d0767018d5d0235504d3ce567e2ff49e]# ls -l usr/bin/
total 4
-rwxr-xr-x 1 root root 581 Sep 28 18:35 etcd-env.sh

From the brew image:
[root@test1 667717fec55da83d3b10defa9eda630c5610bbeeefd5bb270ea1ba399571b3a5]# ls -l usr/bin/etcd-env.sh
-rw-r--r-- 1 root root 581 Sep 18 04:24 usr/bin/etcd-env.sh
Comment 2 Alex Jia 2015-09-30 01:00:26 EDT
This issue been fixed by etcd-docker-2.1.1-3-x86_64.tar.

# docker load -i etcd-docker-2.1.1-3-x86_64.tar 
# docker images
REPOSITORY                                            TAG                                               IMAGE ID            CREATED             VIRTUAL SIZE
avagarwa/etcd-docker                                  extras-rhel-7.2-docker-candidate-20150929172301   39534c380d73        6 hours ago         189.1 MB

# docker run -it 39534c380d73 /bin/sh
sh-4.2# ls -l usr/bin/etcd-env.sh 
-rwxr-xr-x 1 root root 581 Sep 29 17:23 usr/bin/etcd-env.sh
sh-4.2# env
HOSTNAME=c7d3d51198ac
TERM=xterm
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
PWD=/
SHLVL=1
HOME=/root
container=docker
_=/usr/bin/env
Comment 3 Avesh Agarwal 2015-10-02 11:34:47 EDT
This has been fixed in etcd-docker-2.1.1-3
Comment 4 Avesh Agarwal 2016-09-23 12:55:04 EDT
I think this has been fixed for long, so closing now.

Note You need to log in before you can comment on or make changes to this bug.